HDPI: unity randomly turns on large text in universal access

Bug #1332947 reported by mkovac on 2014-06-22
208
This bug affects 101 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Undecided
Unassigned
Trusty
Undecided
Unassigned
Unity
Fix Released
High
Marco Trevisan (Treviño)
7.2
Fix Released
High
Marco Trevisan (Treviño)
unity (Ubuntu)
High
Marco Trevisan (Treviño)
Trusty
High
Marco Trevisan (Treviño)

Bug Description

[ Impact ]

Using a display scaling factor of > 1.0 the 'large text' setting is sometimes enabled automatically on session start, doubling the scaling factor.

[ Test Case ]

(1) Using the System Settings > Displays > Scale for menu and title bars slider, set the scaling to a value > 1 (for example, 1.88).
(2) Log out and in several times.

Since this problem occurs as a result of a race condition somewhere, it is not reliably reproducable.

[ Regression Potential ]

Any code change to the Unity desktop shell could introduce a new crash or lockup.

[ Other Info ]

The Unity SRU fix for Ubuntu 14.04 LTS was cherry-picked from Ubuntu 14.10 where it has been in production use for some time without demonstrating regression.

Related branches

lp:~3v1n0/unity/font-scaling-fixes
Andrea Azzarone: Approve on 2014-08-29
PS Jenkins bot: Approve (continuous-integration) on 2014-08-28
lp:~unity-team/unity/7.2.4
Marco Trevisan (Treviño): Approve on 2014-12-17
mkovac (mkovac) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Stephen M. Webb (bregma) wrote :

This problem is not limited to MacBooks. I also get this regularly (probably 90% of logins) on my 3200x1800 Lenovo Yoga 2 Pro and have received additional complaints from others on their HDPI hardware.

Changed in unity (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in unity:
importance: Undecided → High
milestone: none → 7.3.1
status: New → Triaged
summary: - unity randomly turns on large text in universal access
+ HDPI: unity randomly turns on large text in universal access
Stephen M. Webb (bregma) on 2014-07-01
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Ben (pumrum) wrote :

confirmed on Lenovo W540 20BH. happened to me a few times after installing updates and rebooting. can set the text size back to normal but my cursor size seems to be very large still. haven't tried troubleshooting the cursor yet

It's not limited to very high DPI either. I have an Acer Aspire V5-573 with 15.6 inch 1920x1080 screen and this happens. However, it does *not* happen on my Asus N550JV with same screen specs. Both are running Ubuntu 14.04 64 bit. The only difference is that I used icon scaling settings on the Acer (in Displays settings).

Ben (pumrum) wrote :

as of the latest updates published about 2014-09-03, this now happens after every reboot. It used to be just after an update, then you'd turn off large text, and it would be fine. Now, every time I reboot, it turns itself back on. I tried adding /home/ben/.config/autostart/largetextfix.desktop but that did not fix it.

Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Triaged → In Progress
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in unity (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Ara Pulido (apulido) on 2014-09-22
Changed in oem-priority:
status: New → In Progress
RRBell (rrbell) wrote :

I get this behaviour almost every time Unity crashes for some reason - or I manually kill gnome-session. It does not happen on re-boot for me. (Although it did do that a couple of months ago.)

I now have 3 clients (all up to date, 32 and 64 bit installations) for whom it's happening on 14.04:

1) 24 inch 1920x1080 Samsung screen connected via HDMI (desktop)
2) 10 inch 1280x800 screen (netbook)
3) 15.6 inch 1920x1080 screen (laptop I mentioned previously)

Yet on my own 15.6 1920x1080 screen (another laptop) this never happened. I think it's safe to assume that this has little to nothing to do with high DPI judging by examples above. Now what we need is a way to permanently deactivate this annoying setting so it never comes back unless we want it to.

Michael Neuffer (neuffer) wrote :

I get this behaviour with my Dell M4800 (3200x1800) with utopic and current vivid
However I mostly get the effect when I connect one or two additional displays and
configure them with arandr.

I never had it directly after a reboot.

Restarting the XServer always fixes the problem for me. - Until it is triggered again.

You can toggle off the effect in accessibility settings, no need to restart.

Mr.Gosh (mr-gosh) wrote :

For me its also happening on my Yoga 2 pro with ubuntu 14.10 fully patched...! :(

Has anyone tested the fix in Unity 7.3.1? If yes, please confirm that it works. It then should be backported to Unity 7.2 as 7.3.1 won't be backported to Trusty.

2014-12-22 14:45 GMT+01:00 Andrey Konstantinov <email address hidden>:
> Has anyone tested the fix in Unity 7.3.1? If yes, please confirm that it
> works. It then should be backported to Unity 7.2 as 7.3.1 won't be
> backported to Trusty.

The backport to trusty is already ongoing, it will be available next year.

Hello mkovac, or anyone else affected,

Accepted unity into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/7.2.4+14.04.20141217-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Yu Ning (yuningdodo) wrote :

Verified on a Ubuntu 14.04.1, before the upgrade I can reproduce the issue easily with unity 7.2.3+14.04.20140826-0ubuntu1. Then I reset the settings and upgrade to unity 7.2.4+14.04.20141217-0ubuntu1, now the issue hasn't been reproduced yet after more than 50 log out&in. Thanks guys.

I'll update the tags now.

tags: added: verification-done
removed: verification-needed

thanks for the extensive testing ;)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.2.4+14.04.20141217-0ubuntu1

---------------
unity (7.2.4+14.04.20141217-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Share lockscreen password between screens (lp: #1308540)
  * Allow a distinct pam config file for greeter and for lock-screen.
    (lp: #1305440)
  * Add an arrow activator in the lockscreen. (lp: #1332509)
  * Make sure GetScreenGeometry returns the correct value (lp: #1374785).
  * unmapped all windows prior to shutdown (lp: #1370017) (lp: #1375271)

  [ Brandon Schaefer ]
  * fix tooltip for the "Show Desktop / Restore Windows" icon in the Alt-Tab
    switcher (lp: #1237132)
  * Use CONFIG instead of CACHE to store the first_run.stamp (lp: #1328677)

  [ Eleni Maria Stea ]
  * LayoutSystem: make sure the exposed open windows are displayed in the
    preserved order (lp: #1349281).

  [ handsome_feng ]
  * added support for getting the distro name from /etc/os-release
    (lp: #1329584)

  [ Iain Lane ]
  * When grabbing keys, try prefixing "XF86" if the key isn't found. GNOME
    gives us unprefixed keys sometimes (lp: #1302885).

  [ Marco Trevisan (Treviño) ]
  * make the Launcher icon count badge width depend on the text value width
    and scaling (lp: #1353070) (lp: #1354498) (lp: #796527) (lp: #1066971)
    (lp: #1361713)
  * DecoratedWindow: make edges independent from borders and properly update
    them on actions change (lp: #1276177), (lp: #1299741), (lp: #1301776),
    (lp: #1324104), (lp: #1364225), (lp: #1373695)
  * Lockscreen: scale the UI elements based on current monitor scaling
    (lp: #1292218)
  * UnityScreen: when filtering out windows in spread, make sure we unscale
    them (lp: #1316265).
  * PanelMenuView: ensure that proper window tiles and buttons are shown at
    the right place (lp: #1384910) (lp: #1384958) (lp: #1385285)
  * SearchBar, ActionButtons, IconRenderer: include the font scaling when
    scaling textual items (lp: #1332947) (lp: #1361751) (lp: #1362162)
    (lp: #1362346).
  * ApplicationLauncherIcon: make sure we close the dash if DnD is accepted
    and the application window is about to be focused (lp: #1350331).
  * SwitcherView: set progress on icon render args (lp: #1361679).
  * LockScreenController: wait for the primary shield to get the grab
    before setting the session locked (lp: #1368427) (lp: #1371764).
  * added decorations to windows in non-focused workspaces (lp: #1383468)

  [ Stephen M. Webb ]
  * updated the unity(1) manpage to match the actual command (lp: #1059275)
  * bumped package version to match upstream

  [ Marco Trevisan (Treviño) ]
  * Preparing for unity 7.2.4
 -- Ubuntu daily release <email address hidden> Wed, 17 Dec 2014 20:52:10 +0000

Changed in unity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
status: Fix Committed → Fix Released
Ara Pulido (apulido) on 2015-02-16
Changed in oem-priority:
status: In Progress → Fix Released
tags: added: rls-w-incoming
Lily Rivers (lilyrivers48) wrote :

This is still a bug in unity 7.4.0+16.04.20160801.2-0ubuntu1 but takes affect immediately on any resolution.
With the scale for menu and title bars set to anything > 1 the text scaling factor is increased and the title bars of windows disappear completely.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers